/*
 */

package com.ak.osgi.service.rmi.serviceimpl.demo1;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

import com.ak.osgi.service.rmi.interfaces.demo1.RemoteDemo1;

/**
 * Implementation of the Demo1 service.
 */
public class RemoteDemo1Impl extends UnicastRemoteObject implements RemoteDemo1
{

  /**
   * @throws RemoteException
   */
  public RemoteDemo1Impl() throws RemoteException
  {
    super();
  }

  public int add( int a, int b ) throws RemoteException
  {
    return a + b;
  }

  /* (non-Javadoc)
   * @see com.ak.osgi.service.rmi.interfaces.demo1.RemoteDemo1#substract(int, int)
   */
  public int substract( int a, int b ) throws RemoteException
  {
    return a - b;
  }

}
